# Offers API

### Get Offers <a href="#get-offers" id="get-offers"></a>

\
Our application interface consists of all available offers, individual and split offers, all of which can be displayed in JSON format or using micro modules to filter offers.

API Parameters.

<table data-header-hidden><thead><tr><th width="162"></th><th width="441"></th><th></th></tr></thead><tbody><tr><td>Parameter</td><td>Description</td><td>Example</td></tr><tr><td>app_id</td><td>The publisher's order number is a unique (mandatory) number.</td><td>000</td></tr><tr><td>country_code</td><td>The country code consists of two letters (not required)</td><td>US or UK or CA</td></tr><tr><td>os</td><td>User's operating system (not required)</td><td>Android or IOS</td></tr></tbody></table>

### Examples&#x20;

This is how we call your postback URL:

```http
https://clickwall.net/api/?app_id=0000&country_code=UK&os=Android
```

To request all offers use this :

```http
https://clickwall.net/api/?app_id=0000
```

### Response JSON&#x20;

```json
 {
  "success": true,
  "message": "Offers fetched successfully.",
  "offers_count": 525,
  "country": "All",
  "operating_system": "All",
  "offers": [
    {
      "id": 3,
      "name": "NoiseMeter",
      "description": "Get NoiseMeter app. Measure 2 sound levels.",
      "payout": 224.00000000000003,
      "image_url": "https://link_to_icon_image",
      "tracking_url": "https://clickwall.net/app/tracking/10000/AAAA/[user_id]",
      "countries": "AT, BE, BG, CY, CZ, DE, DK, EE, ES, FI, FR, GR, HU, IE, IT, LT, LU, LV, MT, NL, PL, PT, RO, SE, SI, SK",
      "operating_system": "Android",
      "has_events": 1,
      "events": [
        {
          "event_name": "Get NoiseMeter app.",
          "event_payout": 0
        },
        {
          "event_name": "Measure 2 sound levels.",
          "event_payout": 224.00000000000003
        }
      ]
    },
    {
      "id": 4,
      "name": "Compass Guide",
      "description": "Get Compass Guide app. Use the compass to find at least 2 directions.",
      "payout": 196,
      "image_url": https://link_to_icon_image",
      "tracking_url": "https://clickwall.net/app/tracking/10000/AAAA/[user_id]",
      "countries": "US",
      "operating_system": "Android",
      "has_events": 1,
      "events": [
        {
          "event_name": "Get Compass Guide app.",
          "event_payout": 0
        },
        {
          "event_name": "Use the compass to find at least 2 directions.",
          "event_payout": 196
        }
      ]
    },
    {
      "id": 5,
      "name": "Compass Guide",
      "description": "Get CubeStacker app. Play 2 consecutive games.",
      "payout": 167.99999999999997,
      "image_url": "https://link_to_icon_image",
      "tracking_url": "https://clickwall.net/app/tracking/10000/AAAA/[user_id]",
      "countries": "AT, BE, BG, CY, CZ, DE, DK, EE, ES, FI, FR, GR, HU, IE, IT, LT, LU, LV, MT, NL, PL, PT, RO, SE, SI, SK",
      "operating_system": "Android",
      "has_events": 1,
      "events": [
        {
          "event_name": "Get CubeStacker app.",
          "event_payout": 0
        },
        {
          "event_name": "Play 2 consecutive games.",
          "event_payout": 167.99999999999997
        }
      ]
    },
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clickwall.net/offers-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
